## enki-aseba 1.6.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

project(Enki)

# additional CMake modules
set(CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR}/CMakeModules)

enable_testing()

# check for Qt
set(QT_USE_QTOPENGL TRUE)
find_package(Qt4)
find_package(OpenGL)

# library version
set(LIB_INSTALL_DIR lib CACHE FILEPATH "Where to install libraries")
set(LIB_VERSION_MAJOR 2) # Must be bumped for incompatible ABI changes
set(LIB_VERSION_MINOR 0)
set(LIB_VERSION_PATCH 0)
set(LIB_VERSION_STRING ${LIB_VERSION_MAJOR}.${LIB_VERSION_MINOR}.${LIB_VERSION_PATCH})

add_subdirectory(enki)
add_subdirectory(viewer)
add_subdirectory(python)
add_subdirectory(tests)
add_subdirectory(examples)

# Documentation
find_package(Doxygen)
option(BUILD_DOCUMENTATION
	"Create and install the HTML based API documentation (requires Doxygen)"
	${DOXYGEN_FOUND})

if (BUILD_DOCUMENTATION)
	if (NOT DOXYGEN_FOUND)
		message(FATAL_ERROR "Doxygen is needed to build the documentation.")
	endif()

	set(doxyfile_in ${CMAKE_CURRENT_SOURCE_DIR}/doc/Doxyfile.in)
	set(doxyfile ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile)

	configure_file(${doxyfile_in} ${doxyfile} @ONLY)

	add_custom_target(doc
		COMMAND ${DOXYGEN_EXECUTABLE} ${doxyfile}
		WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
		COMMENT "Generating API documentation with Doxygen"
		VERBATIM)

	install(DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/html DESTINATION share/doc OPTIONAL)
endif()

# generate configure file
configure_file(enkiConfig.cmake.in "${PROJECT_BINARY_DIR}/enkiConfig.cmake" @ONLY)
if (WIN32 AND NOT CYGWIN)
	set(INSTALL_CMAKE_DIR CMake)
else()
	if (APPLE)
		set(INSTALL_CMAKE_DIR Frameworks/enki.framework/Resources/CMake/)
	else()
		set(INSTALL_CMAKE_DIR share/enki/CMake)
	endif()
endif()
install(FILES "${PROJECT_BINARY_DIR}/enkiConfig.cmake" DESTINATION "${INSTALL_CMAKE_DIR}" COMPONENT dev)

=== enki/CMakeLists.txt ===
include_directories (${PROJECT_SOURCE_DIR})

if (CMAKE_HOST_UNIX)
	add_definitions("-fPIC")
endif (CMAKE_HOST_UNIX)

add_library(enki
	Geometry.cpp
	Types.cpp
	PhysicalEngine.cpp
	BluetoothBase.cpp
	interactions/IRSensor.cpp
	interactions/GroundSensor.cpp
	interactions/CircularCam.cpp
	interactions/Bluetooth.cpp
	interactions/ActiveSoundSource.cpp
	interactions/Microphone.cpp
	robots/DifferentialWheeled.cpp
	robots/khepera/Khepera.cpp
	robots/e-puck/EPuck.cpp
	robots/s-bot/Sbot.cpp
	robots/s-bot/SbotObject.cpp
	robots/marxbot/Marxbot.cpp
	robots/thymio2/Thymio2.cpp
)

set_target_properties(enki PROPERTIES VERSION ${LIB_VERSION_STRING} 
                                        SOVERSION ${LIB_VERSION_MAJOR})

install(DIRECTORY . 
	DESTINATION include/enki/
	FILES_MATCHING PATTERN "*.h"
)
install(TARGETS enki LIBRARY DESTINATION ${LIB_INSTALL_DIR}
                     ARCHIVE DESTINATION ${LIB_INSTALL_DIR})

=== examples/CMakeLists.txt ===
add_subdirectory(minimal)
add_subdirectory(playground)

=== python/CMakeLists.txt ===
# find Python, make sure we use the same version for interpreter and libraries
find_package(PythonInterp)
message(STATUS "Python version from interpreter is ${PYTHON_VERSION_STRING}")
set(Python_ADDITIONAL_VERSIONS ${PYTHON_VERSION_MAJOR}.${PYTHON_VERSION_MINOR})
find_package(PythonLibs)

set(QT_USE_QTOPENGL TRUE)
find_package(Qt4)
find_package(OpenGL)

# make sure we have the right modules
if (PYTHONLIBS_FOUND AND PYTHONINTERP_FOUND AND QT4_FOUND AND OPENGL_FOUND)
	include(${QT_USE_FILE})
	add_definitions(${QT_DEFINITIONS})
	
	message(STATUS "Python libs and executable found, looking for boost::python")
	find_package(Boost COMPONENTS python)
	if (Boost_FOUND)
		message(STATUS "boost::python found, generating python bindings")
		include_directories(${PROJECT_SOURCE_DIR} ${PYTHON_INCLUDE_DIRS} ${Boost_INCLUDE_DIR})
		python_add_module(pyenki enki.cpp)
		target_link_libraries(pyenki enki enkiviewer ${QT_LIBRARIES} ${OPENGL_LIBRARIES} ${Boost_LIBRARIES} ${PYTHON_LIBRARIES})
		# fix for old python_add_module
		set_target_properties(pyenki PROPERTIES PREFIX "")
		if (PYTHON_CUSTOM_TARGET)
			install(TARGETS pyenki LIBRARY DESTINATION ${PYTHON_CUSTOM_TARGET})
		else (PYTHON_CUSTOM_TARGET)
			if (PYTHON_DEB_INSTALL_TARGET)
				set(PYTHON_COMMAND "import sys; print 'lib/python'+str(sys.version_info[0])+'.'+str(sys.version_info[1])+'/dist-packages'")
			else (PYTHON_DEB_INSTALL_TARGET)
				set(PYTHON_COMMAND "from distutils.sysconfig import get_python_lib; print(get_python_lib(1, prefix='${CMAKE_INSTALL_PREFIX}'))")
			endif (PYTHON_DEB_INSTALL_TARGET)
			execute_process(COMMAND "${PYTHON_EXECUTABLE}" "-c" "${PYTHON_COMMAND}" OUTPUT_VARIABLE PYTHON_SITE_MODULES OUTPUT_STRIP_TRAILING_WHITESPACE)
			install(TARGETS pyenki LIBRARY DESTINATION ${PYTHON_SITE_MODULES})
		endif (PYTHON_CUSTOM_TARGET)
	else (Boost_FOUND)
		message(WARNING "You need boost::python to generate python bindings")
	endif (Boost_FOUND)
else (PYTHONLIBS_FOUND AND PYTHONINTERP_FOUND AND QT4_FOUND AND OPENGL_FOUND)
	message(WARNING "Python libs or executable, or Qt4, or OpenGL not found, skipping Python bindings")
endif (PYTHONLIBS_FOUND AND PYTHONINTERP_FOUND AND QT4_FOUND AND OPENGL_FOUND)

=== tests/CMakeLists.txt ===
add_executable(testGeometry testGeometry.cpp)
target_link_libraries(testGeometry enki)

# the following tests should succeed
add_test(geometry ${EXECUTABLE_OUTPUT_PATH}/testGeometry)

=== viewer/CMakeLists.txt ===
# SDL
find_package(SDL2)
if (SDL2_FOUND)
	message(STATUS "SDL2 found, enabling joystick support")
	include_directories(${SDL2_INCLUDE_DIR})
	set(EXTRA_LIBS ${SDL2_LIBRARY} ${EXTRA_LIBS})
	add_definitions("-DUSE_SDL")
endif (SDL2_FOUND)

set(QT_USE_QTOPENGL TRUE)
find_package(Qt4)
find_package(OpenGL)

if (QT4_FOUND AND OPENGL_FOUND)
	include(${QT_USE_FILE})
	add_definitions(${QT_DEFINITIONS})
	
	if (CMAKE_HOST_UNIX)
		add_definitions("-fPIC")
	endif (CMAKE_HOST_UNIX)
	
	set(viewer_lib_SRCS
		Viewer.cpp
		EPuckModel.cpp
		objects/EPuckBody.cpp
		objects/EPuckRest.cpp
		objects/EPuckRing.cpp
		objects/EPuckWheelLeft.cpp
		objects/EPuckWheelRight.cpp
		MarxbotModel.cpp
		objects/MarxbotBase.cpp
		objects/MarxbotWheel.cpp
		Thymio2Model.cpp
		objects/Thymio2Body.cpp
		objects/Thymio2Wheel.cpp)
	
	
	qt4_automoc(${viewer_lib_SRCS})
	qt4_add_resources(viewer_lib_RCC_SRCS enki-viewer-textures.qrc)
	
	include_directories (${PROJECT_SOURCE_DIR} ${OPENGL_INCLUDE_DIR} ${CMAKE_BINARY_DIR}/viewer)
	
	link_directories (${PROJECT_BINARY_DIR})
	
	add_library (enkiviewer ${viewer_lib_SRCS} ${viewer_lib_RCC_SRCS})
	set_target_properties(enkiviewer PROPERTIES VERSION ${LIB_VERSION_STRING} 
                                        SOVERSION ${LIB_VERSION_MAJOR})
	target_link_libraries(enkiviewer enki ${QT_LIBRARIES})

	set(ENKI_VIEWER_HDR
		Viewer.h
	)
	install(FILES ${ENKI_VIEWER_HDR}
		DESTINATION include/viewer/
	)
	install(TARGETS enkiviewer ARCHIVE DESTINATION ${LIB_INSTALL_DIR}
                                   LIBRARY DESTINATION ${LIB_INSTALL_DIR})
endif (QT4_FOUND AND OPENGL_FOUND)

=== examples/playground/CMakeLists.txt ===
# SDL
find_package(SDL2)
if (SDL2_FOUND)
	message(STATUS "SDL2 found, enabling joystick support")
	include_directories(${SDL2_INCLUDE_DIR})
	set(EXTRA_LIBS ${SDL2_LIBRARY} ${EXTRA_LIBS})
	add_definitions("-DUSE_SDL")
endif (SDL2_FOUND)

if (QT4_FOUND AND OPENGL_FOUND)
	include(${QT_USE_FILE})
	add_definitions(${QT_DEFINITIONS})
	
	set(viewer_playground_SRCS Playground.cpp)
	qt4_automoc(${viewer_playground_SRCS})
	
	include_directories (${PROJECT_SOURCE_DIR} ${OPENGL_INCLUDE_DIR})
	
	add_executable(enkiplayground ${viewer_playground_SRCS})
	
	target_link_libraries(enkiplayground enkiviewer enki ${QT_LIBRARIES} ${OPENGL_LIBRARIES} ${EXTRA_LIBS})
endif (QT4_FOUND AND OPENGL_FOUND)

=== debian/changelog ===
enki-aseba (1:1.6.0-5) unstable; urgency=medium

  * fixed uncommitted changes in the previous version

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 08 Apr 2018 18:30:26 +0200

enki-aseba (1:1.6.0-4) unstable; urgency=medium

  * upgraded the use version of Qt to 5

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 26 Feb 2018 19:09:06 +0100

enki-aseba (1:1.6.0-3) unstable; urgency=medium

  * Initial release (Closes: #888748) (again)
  * Added collaborative maintenance support with salsa & debian-science group

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 31 Jan 2018 16:08:45 +0100

enki-aseba (1:1.6.0-2) unstable; urgency=medium

  * Initial release (Closes: #888748) (again)
  * fixed the type cinematics -> kinematics.

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 31 Jan 2018 14:53:07 +0100

enki-aseba (1:1.6.0-1) unstable; urgency=medium

  * Initial release (Closes: #888748)
  * changed epoch: (none) -> 1, since the numbering will be based
    on "aseba-x.y.z" tags, which are following another scheme than
  	enki's generic releases.
  * changed Maintainer in debian/control, and redefined the binary packages
    output by the source package
  * updated Standards-Version: 4.1.3, put a build-dependency on debhelper 10
  * patched cmake files to build a shared library

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 29 Jan 2018 13:02:53 +0100
 

libenki (2.0~git.20180109) xenial; urgency=medium

  * Several bug fixes

 -- Stéphane Magnenat <stephane@nospam.magnenat.net>  Mon, 08 Jan 2018 12:01:46 +0100

libenki (2.0~git.20161121) xenial; urgency=medium

  * Several bug fixes

 -- Stéphane Magnenat <stephane@nospam.magnenat.net>  Mon, 21 Nov 2016 09:11:43 +0100

libenki (2.0~git.20161103) xenial; urgency=medium

  * Added object selection, movement and interaction; added realistic textures for Thymio 2.

 -- Stéphane Magnenat <stephane@nospam.magnenat.net>  Thu, 03 Nov 2016 21:09:25 +0100

libenki (2.0~git.20160719) trusty; urgency=medium

  * Restructured camera pose API in viewer

 -- Stéphane Magnenat <stephane@nospam.magnenat.net>  Tue, 19 Jul 2016 10:47:49 +0200

libenki (2.0~git.20160624) trusty; urgency=medium

  * Added callback for collision detection

 -- Stéphane Magnenat <stephane@nospam.magnenat.net>  Fri, 24 Jun 2016 22:16:03 +0200

libenki (2.0~git.20160511) trusty; urgency=medium

  * Added preliminary Thymio2 support

 -- Stéphane Magnenat <stephane@nospam.magnenat.net>  Wed, 11 May 2016 11:13:34 +0200

libenki (2.0~git.20140506) trusty; urgency=medium

  * Added Python compilation

 -- Stéphane Magnenat <stephane@nospam.magnenat.net>  Tue, 06 May 2014 18:09:25 +0200

libenki (2.0~git.20140131) precise; urgency=low

  * Deb pre-release

 -- Stéphane Magnenat <stephane@nospam.magnenat.net>  Fri, 31 Jan 2014 16:11:51 +0100

libenki (1.9-svn155) lucid; urgency=low

  * Deb pre-release

 -- Stéphane Magnenat <stephane@nospam.magnenat.net>  Mon, 30 Apr 2012 16:04:56 +0200

=== debian/control ===
Source: enki-aseba
Maintainer: Georges Khaznadar <georgesk@debian.org>
Section:devel
Priority:optional
Standards-Version: 4.1.3
Build-Depends: debhelper (>=10), dh-python, quilt,
 cmake (>= 2.6), qtbase5-dev, libqt5opengl5-dev, qt5-qmake, qt5-default,
 mesa-common-dev, python, libboost-python-dev, libsdl2-dev, doxygen
Vcs-Browser: https://salsa.debian.org/science-team/enki-aseba.git
Vcs-Git: https://salsa.debian.org/science-team/enki-aseba.git

Package:libenki2
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Enki is a fast 2D physics-based robot simulator written in C++.
 Enki is able to simulate kinematics, collisions, sensors and cameras of robots 
 evolving on a flat surface. It also provides limited support for friction.
 It is able to simulate groups of robots hundred times faster than realtime
 on a modern desktop computer. 

Package:libenki-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends}, ${misc:Depends},
 libenki2 (>= ${source:Version}), libenki2 (<< ${source:Version}.1~)
Description: development file for the library libenki
 Libenki provides a fast 2D physics-based robot simulator written in C++.
 It is able to simulate kinematics, collisions, sensors and cameras of robots. 

Package: python-enki2
Architecture: any
Section: python
Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
X-Python-Version: >= 2.7
Description: Python bindings for the library libenki2
 Libenki provides a fast 2D physics-based robot simulator written in C++.
 It is able to simulate kinematics, collisions, sensors and cameras of robots.
 See also the description of package libenki2

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1


# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@ --with python2

## enki-aseba 1.6.99

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 2.6)
+cmake_minimum_required(VERSION 2.8.11)
 
 project(Enki)
 
@@ -7,10 +7,11 @@
 
 enable_testing()
 
-# check for Qt
-set(QT_USE_QTOPENGL TRUE)
-find_package(Qt4)
-find_package(OpenGL)
+find_package(Qt5 COMPONENTS Core Gui Widgets OpenGL)
+find_package(OpenGL REQUIRED)
+
+# check for SDL2
+find_package(SDL2)
 
 # library version
 set(LIB_INSTALL_DIR lib CACHE FILEPATH "Where to install libraries")
@@ -20,7 +21,11 @@
 set(LIB_VERSION_STRING ${LIB_VERSION_MAJOR}.${LIB_VERSION_MINOR}.${LIB_VERSION_PATCH})
 
 add_subdirectory(enki)
-add_subdirectory(viewer)
+
+if (Qt5Widgets_FOUND AND Qt5OpenGL_FOUND)
+	add_subdirectory(viewer)
+endif()
+
 add_subdirectory(python)
 add_subdirectory(tests)
 add_subdirectory(examples)

=== enki/CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,3 @@
-include_directories (${PROJECT_SOURCE_DIR})
-
-if (CMAKE_HOST_UNIX)
-	add_definitions("-fPIC")
-endif (CMAKE_HOST_UNIX)
-
 add_library(enki
 	Geometry.cpp
 	Types.cpp
@@ -24,8 +18,11 @@
 	robots/thymio2/Thymio2.cpp
 )
 
-set_target_properties(enki PROPERTIES VERSION ${LIB_VERSION_STRING} 
-                                        SOVERSION ${LIB_VERSION_MAJOR})
+target_include_directories (enki PUBLIC ${PROJECT_SOURCE_DIR})
+
+set_target_properties(enki PROPERTIES VERSION ${LIB_VERSION_STRING}
+										SOVERSION ${LIB_VERSION_MAJOR}
+										POSITION_INDEPENDENT_CODE ON)
 
 install(DIRECTORY . 
 	DESTINATION include/enki/

=== python/CMakeLists.txt ===
--- 
+++ 
@@ -4,22 +4,15 @@
 set(Python_ADDITIONAL_VERSIONS ${PYTHON_VERSION_MAJOR}.${PYTHON_VERSION_MINOR})
 find_package(PythonLibs)
 
-set(QT_USE_QTOPENGL TRUE)
-find_package(Qt4)
-find_package(OpenGL)
-
 # make sure we have the right modules
-if (PYTHONLIBS_FOUND AND PYTHONINTERP_FOUND AND QT4_FOUND AND OPENGL_FOUND)
-	include(${QT_USE_FILE})
-	add_definitions(${QT_DEFINITIONS})
-	
+if (PYTHONLIBS_FOUND AND PYTHONINTERP_FOUND AND Qt5Widgets_FOUND AND Qt5OpenGL_FOUND)
 	message(STATUS "Python libs and executable found, looking for boost::python")
 	find_package(Boost COMPONENTS python)
 	if (Boost_FOUND)
 		message(STATUS "boost::python found, generating python bindings")
 		include_directories(${PROJECT_SOURCE_DIR} ${PYTHON_INCLUDE_DIRS} ${Boost_INCLUDE_DIR})
 		python_add_module(pyenki enki.cpp)
-		target_link_libraries(pyenki enki enkiviewer ${QT_LIBRARIES} ${OPENGL_LIBRARIES} ${Boost_LIBRARIES} ${PYTHON_LIBRARIES})
+		target_link_libraries(pyenki enki enkiviewer Qt5::OpenGL Qt5::Widgets ${OPENGL_gl_LIBRARY} ${Boost_LIBRARIES} ${PYTHON_LIBRARIES})
 		# fix for old python_add_module
 		set_target_properties(pyenki PROPERTIES PREFIX "")
 		if (PYTHON_CUSTOM_TARGET)
@@ -34,8 +27,8 @@
 			install(TARGETS pyenki LIBRARY DESTINATION ${PYTHON_SITE_MODULES})
 		endif (PYTHON_CUSTOM_TARGET)
 	else (Boost_FOUND)
-		message(WARNING "You need boost::python to generate python bindings")
+		message(WARNING "You need boost::python to generate Python bindings")
 	endif (Boost_FOUND)
-else (PYTHONLIBS_FOUND AND PYTHONINTERP_FOUND AND QT4_FOUND AND OPENGL_FOUND)
-	message(WARNING "Python libs or executable, or Qt4, or OpenGL not found, skipping Python bindings")
-endif (PYTHONLIBS_FOUND AND PYTHONINTERP_FOUND AND QT4_FOUND AND OPENGL_FOUND)
+else ()
+	message(WARNING "Python libs or executable, or Qt5, or OpenGL not found, skipping Python bindings")
+endif ()

=== tests/CMakeLists.txt ===
add_executable(testGeometry testGeometry.cpp)
target_link_libraries(testGeometry enki)

# the following tests should succeed
add_test(NAME geometry COMMAND testGeometry)

=== viewer/CMakeLists.txt ===
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)


add_library(enkiviewer
	Viewer.cpp
	EPuckModel.cpp
	objects/EPuckBody.cpp
	objects/EPuckRest.cpp
	objects/EPuckRing.cpp
	objects/EPuckWheelLeft.cpp
	objects/EPuckWheelRight.cpp
	MarxbotModel.cpp
	objects/MarxbotBase.cpp
	objects/MarxbotWheel.cpp
	Thymio2Model.cpp
	objects/Thymio2Body.cpp
	objects/Thymio2Wheel.cpp
	enki-viewer-textures.qrc

)

set_target_properties(enkiviewer PROPERTIES VERSION ${LIB_VERSION_STRING}
									SOVERSION ${LIB_VERSION_MAJOR})

target_include_directories(enkiviewer PUBLIC ${PROJECT_SOURCE_DIR})
target_link_libraries(enkiviewer LINK_PUBLIC enki Qt5::Widgets Qt5::OpenGL ${OPENGL_LIBRARIES})

set(ENKI_VIEWER_HDR
	Viewer.h
)
install(FILES ${ENKI_VIEWER_HDR}
	DESTINATION include/viewer/
)
install(TARGETS enkiviewer ARCHIVE DESTINATION ${LIB_INSTALL_DIR}
								LIBRARY DESTINATION ${LIB_INSTALL_DIR})

=== examples/minimal/CMakeLists.txt ===
include_directories (${PROJECT_SOURCE_DIR})
link_directories (${PROJECT_BINARY_DIR})

add_executable(enkiMinimal enkiMinimal.cpp)
target_link_libraries(enkiMinimal enki)

=== examples/playground/CMakeLists.txt ===
if (SDL2_FOUND)
	message(STATUS "SDL2 found, enabling joystick support")
	include_directories(${SDL2_INCLUDE_DIR})
	set(EXTRA_LIBS ${SDL2_LIBRARY} ${EXTRA_LIBS})
	add_definitions("-DUSE_SDL")
endif ()

if (Qt5Widgets_FOUND AND Qt5OpenGL_FOUND)
	set(CMAKE_AUTOMOC ON)
	set(viewer_playground_SRCS Playground.cpp)
	
	include_directories(${PROJECT_SOURCE_DIR})
	
	add_executable(enkiplayground ${viewer_playground_SRCS})
	
	target_link_libraries(enkiplayground enkiviewer enki ${OPENGL_gl_LIBRARY} ${EXTRA_LIBS} Qt5::OpenGL Qt5::Widgets)
endif ()

=== debian/changelog ===
enki-aseba (1:1.6.99-3build4) questing; urgency=medium

  * No-change rebuild for boost 1.88.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 06 Aug 2025 17:05:15 +0200

enki-aseba (1:1.6.99-3build3) questing; urgency=medium

  * No-change rebuild for boost 1.88.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 06 Aug 2025 16:54:51 +0200

enki-aseba (1:1.6.99-3build2) plucky; urgency=medium

  * Another no-change rebuild with Python 3.13 only to pick up
    libboost-python1.83.0-py313

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 07 Mar 2025 12:03:40 +0000

enki-aseba (1:1.6.99-3build1) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 22:05:53 +0000

enki-aseba (1:1.6.99-3) unstable; urgency=medium

  * added a build-dependency on python3-setuptools. Closes: #1080874
  * removed the version constraint on the build-dependency cmake
  * bumped debhelper-compat (=13), Standards-Version: 4.7.1
  * enabled CI for salsa

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 23 Feb 2025 19:37:53 +0100

enki-aseba (1:1.6.99-2) unstable; urgency=medium

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Remove qt5-default from build dependencies, no other changes needed
    (Closes: #972162).

  [ Georges Khaznadar ]
  * Merged Lissandro's changes, thanks!

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 17 Oct 2020 17:39:22 +0200

enki-aseba (1:1.6.99-1) unstable; urgency=medium

  * New upstream version 1.6.99
  * changes to use Python3 instead of Python2.7. Closes: #936483
  * updated debian patches
  * changed the name of a binary package: python-enki2 -> python3-enki2
  * made build-dependency on debhekper-compt (=12), removed debian/compat
  * Upgraded Standards-Version: 4.5.0

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 01 Aug 2020 16:43:22 +0200

enki-aseba (1:1.6.0-6) unstable; urgency=medium

  * changed a build-dependency: libqt5opengl5-dev => libqt5opengl5-desktop-dev
    Closes: #895499
  * upgraded Standards-Version: 4.1.4

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 13 Apr 2018 16:08:28 +0200

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,20 @@
 Maintainer: Georges Khaznadar <georgesk@debian.org>
 Section:devel
 Priority:optional
-Standards-Version: 4.1.3
-Build-Depends: debhelper (>=10), dh-python, quilt,
- cmake (>= 2.6), qtbase5-dev, libqt5opengl5-dev, qt5-qmake, qt5-default,
- mesa-common-dev, python, libboost-python-dev, libsdl2-dev, doxygen
+Standards-Version: 4.7.1
+Build-Depends: debhelper-compat (=13),
+ dh-python,
+ python3-setuptools,
+ quilt,
+ cmake,
+ qtbase5-dev,
+ libqt5opengl5-desktop-dev,
+ qt5-qmake,
+ mesa-common-dev,
+ python3,
+ libboost-python-dev,
+ libsdl2-dev,
+ doxygen
 Vcs-Browser: https://salsa.debian.org/science-team/enki-aseba.git
 Vcs-Git: https://salsa.debian.org/science-team/enki-aseba.git
 
@@ -28,12 +38,11 @@
  Libenki provides a fast 2D physics-based robot simulator written in C++.
  It is able to simulate kinematics, collisions, sensors and cameras of robots. 
 
-Package: python-enki2
+Package: python3-enki2
 Architecture: any
 Section: python
-Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
-X-Python-Version: >= 2.7
-Description: Python bindings for the library libenki2
+Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
+Description: Python3 bindings for the library libenki2
  Libenki provides a fast 2D physics-based robot simulator written in C++.
  It is able to simulate kinematics, collisions, sensors and cameras of robots.
  See also the description of package libenki2

=== debian/rules ===
--- 
+++ 
@@ -14,5 +14,5 @@
 #export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 %:
-	dh $@ --with python2
+	dh $@ --with python3
